Skip to content

Sams' Club Product Reviews API

Scrape SamsClub.com product reviews instantly with a simple API call

Last Updated: March 07, 2026

With a GET request to the /api/getter/?platform="samsclub_reviews" endpoint, we can scrape customer reviews for any product on Sams' Club's online store in real-time.

Example

Here's an example showcasing how you can scrape customer reviews for any product on SamsClub.com using its product URL and the page number we're interested in scraping reviews from.

The results are sorted by recency, so the most recent reviews are on page 1.

1
curl 'https://data.unwrangle.com/api/getter/?platform=samsclub_reviews&url=https%3A%2F%2Fwww.samsclub.com%2Fip%2FPure-Life-Purified-Water-16-9-fl-oz-40-pk%2F6827473533&api_key=API_KEY'
1
2
3
4
5
import requests

url = 'https://data.unwrangle.com/api/getter/?platform=samsclub_reviews&url=https%3A%2F%2Fwww.samsclub.com%2Fip%2FPure-Life-Purified-Water-16-9-fl-oz-40-pk%2F6827473533&api_key=API_KEY'
response = requests.get(url)
print(response.json())
1
2
3
const response = await fetch('https://data.unwrangle.com/api/getter/?platform=samsclub_reviews&url=https%3A%2F%2Fwww.samsclub.com%2Fip%2FPure-Life-Purified-Water-16-9-fl-oz-40-pk%2F6827473533&api_key=API_KEY')
const data = await response.json()
console.log(data)
1
2
3
4
5
6
<?php
$url = 'https://data.unwrangle.com/api/getter/?platform=samsclub_reviews&url=https%3A%2F%2Fwww.samsclub.com%2Fip%2FPure-Life-Purified-Water-16-9-fl-oz-40-pk%2F6827473533&api_key=API_KEY';
$response = file_get_contents($url);
$data = json_decode($response, true);
print_r($data);
?>
1
2
3
4
5
6
require 'net/http'
require 'uri'

uri = URI.parse('https://data.unwrangle.com/api/getter/?platform=samsclub_reviews&url=https%3A%2F%2Fwww.samsclub.com%2Fip%2FPure-Life-Purified-Water-16-9-fl-oz-40-pk%2F6827473533&api_key=API_KEY')
response = Net::HTTP.get(uri)
puts response

Query Parameters

As you can see in the example below, our endpoint needs the following query parameters:

Review Query

url

Required

Parameter defines the URL of the product listing for which you want to query reviews. Value of this parameter must be encoded.

page

Optional

Parameter defines the page number from which you want to query reviews. The default value is 1.

Other Required Parameters

platform

Required

Parameter specifies the scraping engine you want to invoke. For the Sams' Club Reviews API, the value should be samsclub_reviews.

api_key

Required

Parameter defines your account's token. Get your API key for free here.

Note

The value of the query parameter url must be URL or percent encoded. If you're using Python, this can be done with the function urlencode.

Results

Each request returns up to 10 reviews. The response will include the following attributes for each review present in the response:

Attributes Returned Data Type Information Represented
id string Retailer ID of the review
date string Date when review was published
rating int Rating by reviewer
review_title string Review title by reviewer
review_text string Review's text content
review_url string URL of the review on SamsClub.com
author_name string Reviewer's name
author_url string Reviewer's profile URL when available; may be null
photos array Review images attached by the reviewer; empty array when none
meta_data.author_id string Retailer ID of the reviewer
meta_data.is_recommended boolean Whether the reviewer recommends the product; may be null
meta_data.positive_feedback int Count of positive feedback votes on the review
meta_data.negative_feedback int Count of negative feedback votes on the review
meta_data.verified_purchase boolean Whether the review is from a verified purchase
meta_data.is_syndicated boolean Whether the review was syndicated from another source
meta_data.source string Origin of the review (e.g. bazaarvoice, influenster.com)
lang_code string Country-level language of review content; may be null
location string Reviewer location when available; may be null

Response Example

Each request returns up to 10 results. Here's the response you can expect for the request showcased above:

{
    "success": true,
    "platform": "samsclub_reviews",
    "url": "https://www.samsclub.com/ip/Pure-Life-Purified-Water-16-9-fl-oz-40-pk/6827473533",
    "page": 1,
    "total_results": 2851,
    "no_of_pages": 286,
    "result_count": 10,
    "reviews": [
        {
            "id": "418492988",
            "date": "2026-03-05",
            "rating": 5,
            "review_title": "Water",
            "review_text": "The brand I've always purchased.",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "KL",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "76c88d9d-88d5-438e-8465-7a8e4ba563f4",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "418463851",
            "date": "2026-03-05",
            "rating": 5,
            "review_title": "Must Buy Water",
            "review_text": "Good Refreshing Water",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "Kina",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "cbab1c4b-46e6-4d28-8190-bd8e26e639b2",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "418370365",
            "date": "2026-03-04",
            "rating": 5,
            "review_title": "Purlife water",
            "review_text": "Excellent choice",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "Ms Pee",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "66bdae23-47dc-49b5-91f9-a09b9091019f",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "418370089",
            "date": "2026-03-04",
            "rating": 5,
            "review_title": "Best ever",
            "review_text": "Love all the products from Sam's Club",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "Ginny M",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "34466087-9501-4691-9d0c-d8916e8b8372",
                "is_recommended": null,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "380641183",
            "date": "2026-03-04",
            "rating": 3,
            "review_title": "It's Alright!",
            "review_text": "Don't like the taste at all. They need to go a different spring to get the water. It'll work if in a bind it doesn't spill and the cap is easy to take off. It's easy to throw away.",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "ToyaG",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "inf15352095",
                "is_recommended": null,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": false,
                "is_syndicated": true,
                "source": "influenster.com"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "418224655",
            "date": "2026-03-02",
            "rating": 5,
            "review_title": "4-5 bottles for day !",
            "review_text": "Good health",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "Denia",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "ee903118-b632-49ca-8e59-67cb06285dec",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "417987077",
            "date": "2026-02-28",
            "rating": 1,
            "review_title": "PURE LIFE WATER BOTTLES",
            "review_text": "The water is fine. The plastic that it is bottled in is too too flimsy to handle.",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "JEANNE",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "859b0c8e02f4d887d5ccb04162231dde02a6a68b0c7a269c741684cdac8a54a3df2876a31c8bb41035209c9d2a31ed22",
                "is_recommended": null,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": false,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "417707936",
            "date": "2026-02-26",
            "rating": 5,
            "review_title": "Pure Life “A thirst quincer”",
            "review_text": "Have used this product for a while and am happy with the taste and price of this water!",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": null,
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "2d7b1440-56a9-47cf-abfd-29df6fe0ed1e",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "417699656",
            "date": "2026-02-26",
            "rating": 4,
            "review_title": "Great value, packaging needs a redo",
            "review_text": "I like how it comes in a 40 pack at a very good price. Where other stores offer less for a bigger cost. My only gripe is that the bottles are very flimsy and can be difficult to hold. My parents use them, they're in their eighties, and at times have trouble holding them.",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "Isaac",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "d87013ce-03f8-4176-891f-2468bb8e2010",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        },
        {
            "id": "417519995",
            "date": "2026-02-24",
            "rating": 5,
            "review_title": "Good",
            "review_text": "Good",
            "review_url": "https://www.samsclub.com/reviews/product/6827473533",
            "author_name": "Rafael Pérez jr",
            "author_url": null,
            "photos": [],
            "meta_data": {
                "author_id": "1b8a18a5-1637-463c-8caf-49d6211ce8d6",
                "is_recommended": true,
                "positive_feedback": 0,
                "negative_feedback": 0,
                "verified_purchase": true,
                "is_syndicated": false,
                "source": "bazaarvoice"
            },
            "lang_code": null,
            "location": null
        }
    ],
    "meta_data": {
        "average_rating": 4.801081373344147,
        "total_review_count": 18495,
        "reviews_with_text_count": 2851,
        "recommended_percentage": 93,
        "rating_distribution": {
            "1": 257,
            "2": 136,
            "3": 397,
            "4": 1449,
            "5": 16256
        },
        "product_name": "Pure Life Purified Water 16.9 fl. oz., 40 pk.",
        "product_url": "https://www.samsclub.com/ip/Pure-Life-Purified-Water-16-9-fl-oz-40-pk/6827473533",
        "product_thumbnail": "https://i5.samsclubimages.com/asr/c2817dfa-28cc-408a-a0cc-639553cdddf6.df07d07f4d097bffd90160e4087fb759.jpeg",
        "top_product_media": [
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-6ba3/k2-_520cfbb0-9769-4a43-a190-b8149426a556.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-6ba3/k2-_520cfbb0-9769-4a43-a190-b8149426a556.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-3b2b/k2-_243e19ee-6364-48bd-bed7-5437f7cc83bd.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-3b2b/k2-_243e19ee-6364-48bd-bed7-5437f7cc83bd.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-230c/k2-_533854aa-093f-4dd2-963c-f95c90db65ee.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-230c/k2-_533854aa-093f-4dd2-963c-f95c90db65ee.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-83a8/k2-_d950919c-89f7-4f2e-b364-e2d6ead3c167.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-83a8/k2-_d950919c-89f7-4f2e-b364-e2d6ead3c167.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-a7fc/k2-_026faf78-3531-429b-a0d9-aebb9afba3c9.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-a7fc/k2-_026faf78-3531-429b-a0d9-aebb9afba3c9.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-487c/k2-_f7423ca3-814f-4c60-9851-8734e055feba.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-487c/k2-_f7423ca3-814f-4c60-9851-8734e055feba.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-4107/k2-_33160baa-6807-4639-9885-308d019a8dae.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-4107/k2-_33160baa-6807-4639-9885-308d019a8dae.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-1f99/k2-_0ac08fb4-be18-47c2-8b32-9c5c6dd6f6f5.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-1f99/k2-_0ac08fb4-be18-47c2-8b32-9c5c6dd6f6f5.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-faaf/k2-_e47cebf1-78d8-47ed-9bcc-82e39c73fd80.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-faaf/k2-_e47cebf1-78d8-47ed-9bcc-82e39c73fd80.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-693d/k2-_6b3679d2-b618-4b39-b917-69a22a7f0c86.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-693d/k2-_6b3679d2-b618-4b39-b917-69a22a7f0c86.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            },
            {
                "url": "https://i5.walmartimages.com/dfw/6e29e393-f079/k2-_2cddb7a2-5e91-4228-bc8b-c53f16762c34.v1.jpg",
                "thumbnail_url": "https://i5.walmartimages.com/dfw/6e29e393-f079/k2-_2cddb7a2-5e91-4228-bc8b-c53f16762c34.v1.jpg?odnWidth=150&odnHeight=150&odnBg=ffffff",
                "media_type": "IMAGE",
                "rating": 5
            }
        ]
    },
    "credits_used": 10,
    "remaining_credits": 9876225.5
}

Request Cost

10 credits are deducted for each successful request

Support

If the response doesn't include the data you need, or if you have any question or feedback, please write to us at support@unwrangle.com